View Issue Details

IDProjectCategoryView StatusLast Update
0014624LazarusIDEpublic2010-06-18 23:32
ReporterMaxim GanetskyAssigned ToMattias Gaertner 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0014624: i18n: it is not possible to disable LRT file generation
DescriptionCurrently when you enable "i18n" project option to automatically generate .po files IDE will automatically gather all translatable strings (creating LRT file) and then add them to resulting .po file.

When using resource strings i18n method this will lead to blowing up resulting .po file (it will contain several strings related to the same object: from resource string and from LRT file).

So currently if one wants to use only resource strings he needs to use external "updatepofiles" tool. This is not very convenient.

It would be good to have an additional i18n option to disable LRT file generation.
TagsNo tags attached.
Fixed in Revision26167, 26170
LazTarget1.0
Widgetset
Attached Files

Activities

Maxim Ganetsky

2010-06-18 23:30

developer   ~0038625

Last edited: 2010-06-18 23:30

Fixed by Mattias in rev. 26167, 26170.

Issue History

Date Modified Username Field Change
2009-09-18 22:59 Maxim Ganetsky New Issue
2009-09-24 08:41 Vincent Snijders LazTarget => 1.0
2009-09-24 08:41 Vincent Snijders Status new => acknowledged
2009-09-24 08:41 Vincent Snijders Target Version => 1.0.0
2010-06-18 23:30 Maxim Ganetsky Fixed in Revision => 26167, 26170
2010-06-18 23:30 Maxim Ganetsky Status acknowledged => resolved
2010-06-18 23:30 Maxim Ganetsky Fixed in Version => 0.9.29 (SVN)
2010-06-18 23:30 Maxim Ganetsky Resolution open => fixed
2010-06-18 23:30 Maxim Ganetsky Assigned To => Maxim Ganetsky
2010-06-18 23:30 Maxim Ganetsky Note Added: 0038625
2010-06-18 23:30 Maxim Ganetsky Note Edited: 0038625
2010-06-18 23:31 Maxim Ganetsky Assigned To Maxim Ganetsky => Mattias Gaertner
2010-06-18 23:32 Maxim Ganetsky Status resolved => closed